# Start signing basket authorization Endpoint: POST /signing-baskets/{basketId}/authorizations Version: 1.0.0 Security: Api access ## Path parameters: - `basketId` (string, required) Id of the basket. ## Header parameters: - `TPP-Redirect-URI` (string) The url to redirect the user to after authorization. - `PSU-IP-Address` (string) IP Address of the PSU. - `api-version` (string) ## Request fields (application/json): - `authenticationMethodId` (null,string) Identification used for later authentication method selection. - `authenticationMethodAcrValues` (null,string) Acr values used for later authentication method selection. ## Response 201 fields (application/json): - `scaStatus` (string) Status of the SCA. Example: * received * psuIdentified * psuAuthenticated * scaMethodSelected * unconfirmed * started * finalised * failed * exempted Example: "started" - `authorizationId` (string) Resource identification of the related SCA. Example: "auth9000" - `_links` (object) - `_links.scaRedirect` (null) URL to redirect the PSU to in case of a redirect-based SCA approach. - `_links.scaOauth` (null) URL where the configuration of the authorisation server can be retrieved in case of an OAuth 2.0-based authentication process. Example: "https://id.aritma.io" - `_links.confirmation` (null) URL to the resource which needs to be updated with an access token for an OAuth 2.0-based authentication process. Example: "https://banking.aritma.io/api/payments/1/authorizations/1" - `_links.self` (object) - `_links.self.href` (string) Url to a resource Example: "https://banking.aritma.io/api/accounts/1234/transactions?fromDate=2019-08-24T14:15:22Z" - `_links.self.verb` (string) The http verb the link is accessible through Enum: "get", "post", "put", "delete" ## Response 401 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 403 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string) ## Response 404 fields (application/json): - `type` (null,string) - `title` (null,string) - `status` (null,integer) - `detail` (null,string) - `instance` (null,string)